GNU bug report logs - #21682
25.0.50; display bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: rms@HIDDEN; merged with #21363; dated Tue, 13 Oct 2015 23:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 21363 21682. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 16 Oct 2015 16:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 12:14:27 2015
Received: from localhost ([127.0.0.1]:53560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zn7eE-00089p-Mc
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2015 12:14:26 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:46854)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zn7du-000892-9M
 for 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 12:14:25 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0NWB00900LWDAJ00@HIDDEN> for
 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 19:13:27 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NWB00OPBMEEHHA0@HIDDEN>; Fri, 16 Oct 2015 19:13:27 +0300 (IDT)
Date: Fri, 16 Oct 2015 19:14:06 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
In-reply-to: <E1Zn7P5-0001wk-8T@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <83d1we6bap.fsf@HIDDEN>
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN> <E1ZmXH4-0001Xm-8J@HIDDEN>
 <mvm7fmotxxj.fsf@HIDDEN> <83eggw84z3.fsf@HIDDEN>
 <E1Zn7P5-0001wk-8T@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21682
Cc: schwab@HIDDEN, 21682 <at> debbugs.gnu.org, handa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Richard Stallman <rms@HIDDEN>
> CC: schwab@HIDDEN, handa@HIDDEN, 21682 <at> debbugs.gnu.org
> Date: Fri, 16 Oct 2015 11:58:47 -0400
> 
>   > I thought asking Richard for dribble files in both cases, but if you
>   > already understand what's going on, there would be no need.
> 
> I sent a very simple reproducible test case -- better than a dribble
> file.

I don't see the problem on fencepost accessed via PuTTY.

> Did you mean a termscript file?

Yes, sorry.  But now that Andreas explained the problem, there's no
need.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 16 Oct 2015 15:59:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 11:59:13 2015
Received: from localhost ([127.0.0.1]:53556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zn7PC-0007Yh-5B
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:59:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50490)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1Zn7PA-0007YX-Uf
 for 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:58:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Zn7P9-0001QK-4u
 for 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:58:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58662)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Zn7P6-0001Nw-2Z; Fri, 16 Oct 2015 11:58:48 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1Zn7P5-0001wk-8T; Fri, 16 Oct 2015 11:58:47 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83eggw84z3.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 15
 Oct 2015 19:35:28 +0300)
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN> <E1ZmXH4-0001Xm-8J@HIDDEN>
 <mvm7fmotxxj.fsf@HIDDEN> <83eggw84z3.fsf@HIDDEN>
Message-Id: <E1Zn7P5-0001wk-8T@HIDDEN>
Date: Fri, 16 Oct 2015 11:58:47 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21682
Cc: schwab@HIDDEN, 21682 <at> debbugs.gnu.org, handa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I thought asking Richard for dribble files in both cases, but if you
  > already understand what's going on, there would be no need.

I sent a very simple reproducible test case -- better than a dribble
file.  Did you mean a termscript file?

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 16 Oct 2015 15:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 11:57:59 2015
Received: from localhost ([127.0.0.1]:53552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zn7OI-0007WW-RA
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:57:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48925)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1Zn7Nz-0007W7-3S
 for 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:57:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Zn7Ny-0000c5-3w
 for 21682 <at> debbugs.gnu.org; Fri, 16 Oct 2015 11:57:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58576)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Zn7Nw-0000ag-0o; Fri, 16 Oct 2015 11:57:36 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1Zn7Nv-0000Mz-DO; Fri, 16 Oct 2015 11:57:35 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <mvm7fmotxxj.fsf@HIDDEN> (message from Andreas Schwab on
 Thu, 15 Oct 2015 09:04:24 +0200)
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN>
 <E1ZmXH4-0001Xm-8J@HIDDEN> <mvm7fmotxxj.fsf@HIDDEN>
Message-Id: <E1Zn7Nv-0000Mz-DO@HIDDEN>
Date: Fri, 16 Oct 2015 11:57:35 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21682
Cc: 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Emacs needs to cope with it, unless we can get it fixed.

  > Emacs cannot know how characters are drawn on a tty.

It can, and it does -- with the help of termcap.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 17:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 13:16:30 2015
Received: from localhost ([127.0.0.1]:52566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zmm8j-0004qK-Rb
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2015 13:16:30 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:46544)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zmm8h-0004qB-DU
 for 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 13:16:28 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0NW900J00U7AFV00@HIDDEN> for
 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 20:15:49 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NW9009OHUMCEKA0@HIDDEN>; Thu, 15 Oct 2015 20:15:49 +0300 (IDT)
Date: Thu, 15 Oct 2015 20:16:26 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
In-reply-to: <87eggw5adi.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Andreas Schwab <schwab@HIDDEN>
Message-id: <838u74832t.fsf@HIDDEN>
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN> <E1ZmXH4-0001Xm-8J@HIDDEN>
 <mvm7fmotxxj.fsf@HIDDEN> <83eggw84z3.fsf@HIDDEN>
 <87eggw5adi.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21682
Cc: handa@HIDDEN, rms@HIDDEN, 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Kenichi Handa <handa@HIDDEN>,  rms@HIDDEN,  21682 <at> debbugs.gnu.org
> Date: Thu, 15 Oct 2015 19:07:05 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: Andreas Schwab <schwab@HIDDEN>
> >> Date: Thu, 15 Oct 2015 09:04:24 +0200
> >> Cc: 21682 <at> debbugs.gnu.org
> >> 
> >> Richard Stallman <rms@HIDDEN> writes:
> >> 
> >> > Emacs needs to cope with it, unless we can get it fixed.
> >> 
> >> Emacs cannot know how characters are drawn on a tty.
> >
> > Does that mean you understood what causes Richard's problem?  If so,
> > can you explain?
> 
> The terminal has to support composition.  The Linux console doesn't.

Ah, I see, thanks.

So maybe we should only turn on auto-composition-mode in
terminal-specific files like term/xterm.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 17:07:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 13:07:10 2015
Received: from localhost ([127.0.0.1]:52562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zmlzh-0004dS-BV
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2015 13:07:09 -0400
Received: from mx2.suse.de ([195.135.220.15]:45978)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <schwab@HIDDEN>) id 1Zmlzf-0004dJ-5O
 for 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 13:07:07 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 2433EAB4B;
 Thu, 15 Oct 2015 17:07:05 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN>
 <E1ZmXH4-0001Xm-8J@HIDDEN>
 <mvm7fmotxxj.fsf@HIDDEN> <83eggw84z3.fsf@HIDDEN>
X-Yow: My uncle Murray conquered Egypt in 53 B.C.  And I can prove it too!!
Date: Thu, 15 Oct 2015 19:07:05 +0200
In-Reply-To: <83eggw84z3.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 15 Oct
 2015 19:35:28 +0300")
Message-ID: <87eggw5adi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21682
Cc: Kenichi Handa <handa@HIDDEN>, rms@HIDDEN, 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andreas Schwab <schwab@HIDDEN>
>> Date: Thu, 15 Oct 2015 09:04:24 +0200
>> Cc: 21682 <at> debbugs.gnu.org
>> 
>> Richard Stallman <rms@HIDDEN> writes:
>> 
>> > Emacs needs to cope with it, unless we can get it fixed.
>> 
>> Emacs cannot know how characters are drawn on a tty.
>
> Does that mean you understood what causes Richard's problem?  If so,
> can you explain?

The terminal has to support composition.  The Linux console doesn't.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 16:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 12:35:34 2015
Received: from localhost ([127.0.0.1]:52538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmlV7-0003t1-VG
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2015 12:35:34 -0400
Received: from mtaout25.012.net.il ([80.179.55.181]:43277)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZmlV4-0003sr-CD
 for 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 12:35:32 -0400
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0NW900L00SLTBF00@HIDDEN> for
 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 19:33:02 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NW900F7JSN10H60@HIDDEN>; Thu, 15 Oct 2015 19:33:02 +0300 (IDT)
Date: Thu, 15 Oct 2015 19:35:28 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
In-reply-to: <mvm7fmotxxj.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Andreas Schwab <schwab@HIDDEN>, Kenichi Handa <handa@HIDDEN>
Message-id: <83eggw84z3.fsf@HIDDEN>
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN> <E1ZmXH4-0001Xm-8J@HIDDEN>
 <mvm7fmotxxj.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21682
Cc: rms@HIDDEN, 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Andreas Schwab <schwab@HIDDEN>
> Date: Thu, 15 Oct 2015 09:04:24 +0200
> Cc: 21682 <at> debbugs.gnu.org
> 
> Richard Stallman <rms@HIDDEN> writes:
> 
> > Emacs needs to cope with it, unless we can get it fixed.
> 
> Emacs cannot know how characters are drawn on a tty.

Does that mean you understood what causes Richard's problem?  If so,
can you explain?

I thought asking Richard for dribble files in both cases, but if you
already understand what's going on, there would be no need.

I actually don't understand why we have auto-composition-mode turned
on for TTY frames, and where do we take the data for composing
characters there (there's no font back-end).  Kenichi, can you
explain, please?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 07:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 03:04:26 2015
Received: from localhost ([127.0.0.1]:51395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmcaQ-0005uT-5W
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2015 03:04:26 -0400
Received: from mx2.suse.de ([195.135.220.15]:36862)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <schwab@HIDDEN>) id 1ZmcaP-0005uM-0i
 for 21682 <at> debbugs.gnu.org; Thu, 15 Oct 2015 03:04:25 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 007ECAABB;
 Thu, 15 Oct 2015 07:04:22 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN>
 <E1ZmXH4-0001Xm-8J@HIDDEN>
X-Yow: FISH-NET-FISH-NET-FISH-NET-FISH-NET-FISH!!
Date: Thu, 15 Oct 2015 09:04:24 +0200
In-Reply-To: <E1ZmXH4-0001Xm-8J@HIDDEN> (Richard Stallman's message
 of "Wed, 14 Oct 2015 21:24:06 -0400")
Message-ID: <mvm7fmotxxj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21682
Cc: 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Richard Stallman <rms@HIDDEN> writes:

> Emacs needs to cope with it, unless we can get it fixed.

Emacs cannot know how characters are drawn on a tty.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 01:25:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 21:25:38 2015
Received: from localhost ([127.0.0.1]:51291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmXIX-0006Hk-LM
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:25:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51141)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1ZmXIW-0006Hd-Az
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:25:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1ZmXIV-00058n-Gi
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:25:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40453)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1ZmXIT-000589-04; Wed, 14 Oct 2015 21:25:33 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1ZmXIS-0001zr-9O; Wed, 14 Oct 2015 21:25:32 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <838u75xusb.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 14
 Oct 2015 19:46:28 +0300)
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN> <838u75xusb.fsf@HIDDEN>
Message-Id: <E1ZmXIS-0001zr-9O@HIDDEN>
Date: Wed, 14 Oct 2015 21:25:32 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21682
Cc: schwab@HIDDEN, 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Richard, if you disable auto-composition-mode, does that help?

The bug does not happen when auto-composition-mode is disabled.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 15 Oct 2015 01:24:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 21:24:12 2015
Received: from localhost ([127.0.0.1]:51287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmXHA-0006Fe-0O
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:24:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49886)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1ZmXH8-0006FX-5s
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:24:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1ZmXH7-0004QG-4F
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 21:24:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40386)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1ZmXH4-0004Og-Ne; Wed, 14 Oct 2015 21:24:06 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1ZmXH4-0001Xm-8J; Wed, 14 Oct 2015 21:24:06 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <mvmbnc1vqdg.fsf@HIDDEN> (message from Andreas Schwab on
 Wed, 14 Oct 2015 09:52:27 +0200)
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN>
Message-Id: <E1ZmXH4-0001Xm-8J@HIDDEN>
Date: Wed, 14 Oct 2015 21:24:06 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21682
Cc: 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > In emacs -Q, do C-u M-x rmail RET foo RET with the data below in file
  > > foo.  It messes up display on my terminal -- characters appear
  > > on the wrong screen line.

  > Which terminal?  I see no artefacts in konsole, so it's more likely a
  > bug in the terminal you use.

I am using a Linux terminal.

Emacs needs to cope with it, unless we can get it fixed.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 14 Oct 2015 16:46:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 12:46:33 2015
Received: from localhost ([127.0.0.1]:40484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmPCC-0004HP-Rk
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2015 12:46:33 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:46142)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZmPC9-0004HG-NX
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 12:46:30 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NW700200YCP1B00@HIDDEN> for
 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 19:49:35 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NW700NV9YQNMO40@HIDDEN>; Wed, 14 Oct 2015 19:49:35 +0300 (IDT)
Date: Wed, 14 Oct 2015 19:46:28 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
In-reply-to: <mvmbnc1vqdg.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Andreas Schwab <schwab@HIDDEN>
Message-id: <838u75xusb.fsf@HIDDEN>
References: <E1Zm97z-0003ni-BE@HIDDEN>
 <mvmbnc1vqdg.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21682
Cc: rms@HIDDEN, 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Andreas Schwab <schwab@HIDDEN>
> Date: Wed, 14 Oct 2015 09:52:27 +0200
> Cc: 21682 <at> debbugs.gnu.org
> 
> Richard Stallman <rms@HIDDEN> writes:
> 
> > In emacs -Q, do C-u M-x rmail RET foo RET with the data below in file
> > foo.  It messes up display on my terminal -- characters appear
> > on the wrong screen line.
> 
> Which terminal?  I see no artefacts in konsole

Neither do I in PuTTY, which emulates xterm.

Richard, if you disable auto-composition-mode, does that help?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at 21682 <at> debbugs.gnu.org:


Received: (at 21682) by debbugs.gnu.org; 14 Oct 2015 07:52:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 03:52:31 2015
Received: from localhost ([127.0.0.1]:39441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZmGrO-0006rj-LE
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2015 03:52:30 -0400
Received: from mx2.suse.de ([195.135.220.15]:57114)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <schwab@HIDDEN>) id 1ZmGrM-0006ra-Eo
 for 21682 <at> debbugs.gnu.org; Wed, 14 Oct 2015 03:52:29 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 7BB7DABE8;
 Wed, 14 Oct 2015 07:52:26 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#21682: 25.0.50; display bug
References: <E1Zm97z-0003ni-BE@HIDDEN>
X-Yow: WHO sees a BEACH BUNNY sobbing on a SHAG RUG?!
Date: Wed, 14 Oct 2015 09:52:27 +0200
In-Reply-To: <E1Zm97z-0003ni-BE@HIDDEN> (Richard Stallman's message
 of "Tue, 13 Oct 2015 19:37:07 -0400")
Message-ID: <mvmbnc1vqdg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21682
Cc: 21682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Richard Stallman <rms@HIDDEN> writes:

> In emacs -Q, do C-u M-x rmail RET foo RET with the data below in file
> foo.  It messes up display on my terminal -- characters appear
> on the wrong screen line.

Which terminal?  I see no artefacts in konsole, so it's more likely a
bug in the terminal you use.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2015 23:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 19:37:18 2015
Received: from localhost ([127.0.0.1]:39202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zm98A-0007bJ-Dv
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2015 19:37:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55969)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1Zm988-0007bA-LS
 for submit <at> debbugs.gnu.org; Tue, 13 Oct 2015 19:37:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Zm987-0006cm-00
 for submit <at> debbugs.gnu.org; Tue, 13 Oct 2015 19:37:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42849)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Zm986-0006ci-Sf
 for submit <at> debbugs.gnu.org; Tue, 13 Oct 2015 19:37:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37666)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Zm981-0001FL-EJ
 for bug-gnu-emacs@HIDDEN; Tue, 13 Oct 2015 19:37:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Zm980-0006Yu-5G
 for bug-gnu-emacs@HIDDEN; Tue, 13 Oct 2015 19:37:09 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45003)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Zm980-0006Yg-1d
 for bug-gnu-emacs@HIDDEN; Tue, 13 Oct 2015 19:37:08 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1Zm97z-0003ni-BE; Tue, 13 Oct 2015 19:37:07 -0400
From: Richard Stallman <rms@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; display bug
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Message-Id: <E1Zm97z-0003ni-BE@HIDDEN>
Date: Tue, 13 Oct 2015 19:37:07 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain


In emacs -Q, do C-u M-x rmail RET foo RET with the data below in file
foo.  It messes up display on my terminal -- characters appear
on the wrong screen line.


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=foo
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain





In GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23)
 of 2015-08-12 on freetop
Repository revision: 79a169684dfad2c0bbb9fdbae539c1f30d9f0ac3
System Description:	Trisquel GNU/Linux 7.0, Belenos

Configured using:
 `configure 'CFLAGS=-g -O0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent messages:
Showing message 830...done
Mark set
Mark saved where search started
Mark set
Quit
Mark activated
File /home/rms/foo already exists; overwrite anyway? (y or n) y
Wrote /home/rms/foo
Quit
Mark saved where search started

Load-path shadows:
None found.

Features:
(shadow emacsbug pp wid-edit descr-text eieio-opt speedbar sb-image
ezimage dframe find-func jka-compr ispell pcmpl-unix debug etags
thingatpt xref project parse-time vc-cvs sgml-mode dired-aux cal-move
cal-menu calendar cal-loaddefs compare-w diff-mode easy-mmode rect
rmailout misearch multi-isearch epa-mail quail rmailkwd url-util
url-parse auth-source cl-seq eieio byte-opt bytecomp byte-compile
cl-extra seq cconv eieio-core cl-macs gv gnus-util password-cache
url-vars shr dom subr-x browse-url epa derived epg shell pcomplete
grep compile comint ansi-color ring rmailsum dabbrev mailalias qp
rmailmm message sendmail format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmail rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode
cl-loaddefs pcase cl-lib mail-prsvr mail-utils dired t-mouse view
time-date paren cus-start cus-load advice finder-inf package easymenu
epg-config mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese charscript case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 8 398770 84865)
 (symbols 24 37751 2)
 (miscs 20 7161 4506)
 (strings 16 56716 18065)
 (string-bytes 1 1933809)
 (vectors 8 31947)
 (vector-slots 4 1544326 35582)
 (floats 8 290 471)
 (intervals 28 90175 1692)
 (buffers 520 124)
 (heap 1024 25713 10736))
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]


-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.


--=-=-=--




Acknowledgement sent to rms@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21682; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Nov 2017 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.